package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.PeriodEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class CloudTeacherAddQueryInfo extends QueryInfo {

	@ApiModelProperty(value = "学生编号数组", required = true)
	private List<Integer> studentIds;

	@ApiModelProperty(value = "类型 0-天, 1-月 2-季, 3-半年, 4-年", required = true)
	private PeriodEnum addType;

	@ApiModelProperty(value = "数量", required = true)
	private Integer times;

	@ApiModelProperty(value = "乐团Id", required = true)
	private String musicGroupId;


	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public List<Integer> getStudentIds() {
		return studentIds;
	}

	public void setStudentIds(List<Integer> studentIds) {
		this.studentIds = studentIds;
	}

	public PeriodEnum getAddType() {
		return addType;
	}

	public void setAddType(PeriodEnum addType) {
		this.addType = addType;
	}

	public Integer getTimes() {
		return times;
	}

	public void setTimes(Integer times) {
		this.times = times;
	}
}
